SharePoint Server 2019을 설치 하는 경우 "이 제품에 visual 2017 Studio를 사용 하는 것이 필요 합니다." 오류

현상도

모든 필수 구성 요소를 설치 하거나 사용 하도록 설정 하 여 Microsoft SharePoint 2019 제품 준비 도구를 성공적으로 실행 하 고 완료 합니다. 그러나 Microsoft SharePoint Server 2019 설치 프로그램을 실행 하면 다음 오류 메시지가 표시 됩니다.

다음 오류로 인해 설치를 계속할 수 없습니다.

  • 이 제품을 사용 하려면 visual Studio 2017 용 Visual c # 재배포 가능 패키지가 필요 합니다.

원인

SharePoint 2019 제품 준비 도구는 SharePoint Server 2019 설치 프로그램에 필요한 최소 버전의 Microsoft 2017 Visual misidentifies (x64)를 합니다. 이 경우에는 14.10.25017.0에 14.13.26020.0 보다 작은 버전으로 설치 되어 있고이 보다 낮은 버전인 2017 경우에는 SharePoint Server 2019 설치 프로그램에서 필요한 최소 버전을 설치 하는 것이 좋습니다.

문제 해결 방법

이 문제를 해결 하려면 다음 방법 중 하나를 사용 하십시오.

메서드 1

  1. Windows 제어판을 통해 Microsoft Visual c + + 2017 재배포 가능 (x64)를 제거 합니다.
  2. Microsoft SharePoint 2019 제품 준비 도구를 다시 실행 합니다. 이 도구는 이제 필요한 최소한의 필수 버전인 Visual 2017 재배포 가능 (x64)을 설치 합니다.
  3. SharePoint Server 2019 설치 프로그램을 실행 합니다.

메서드 2

  1. 을 다운로드 하 고 14.13.26020.0 (이상 버전)를 https://go.microsoft.com/fwlink/?LinkId=8482992017 설치 합니다.
  2. SharePoint Server 2019 설치 프로그램을 실행 합니다.

추가 정보

여전히 도움이 필요하세요? SharePoint 커뮤니티로 이동 합니다.